| Flutter Impeller |

Public Member Functions | List of all members
impeller::CapabilitiesBuilder Class Reference

`#include <capabilities.h>`

## Public Member Functions
| CapabilitiesBuilder ()
| ~CapabilitiesBuilder ()
CapabilitiesBuilder & | SetSupportsOffscreenMSAA (bool value)
CapabilitiesBuilder & | SetSupportsSSBO (bool value)
CapabilitiesBuilder & | SetSupportsBufferToTextureBlits (bool value)
CapabilitiesBuilder & | SetSupportsTextureToTextureBlits (bool value)
CapabilitiesBuilder & | SetSupportsFramebufferFetch (bool value)
CapabilitiesBuilder & | SetSupportsCompute (bool value)
CapabilitiesBuilder & | SetSupportsComputeSubgroups (bool value)
CapabilitiesBuilder & | SetSupportsReadFromOnscreenTexture (bool value)
CapabilitiesBuilder & | SetSupportsReadFromResolve (bool value)
CapabilitiesBuilder & | SetDefaultColorFormat (PixelFormat value)
CapabilitiesBuilder & | SetDefaultStencilFormat (PixelFormat value)
CapabilitiesBuilder & | SetDefaultDepthStencilFormat (PixelFormat value)
CapabilitiesBuilder & | SetSupportsDecalSamplerAddressMode (bool value)
CapabilitiesBuilder & | SetSupportsDeviceTransientTextures (bool value)
std::unique_ptr< Capabilities > | Build ()

## Detailed Description

Definition at line 112 of file capabilities.h.

## Constructor & Destructor Documentation

## ◆ CapabilitiesBuilder()

impeller::CapabilitiesBuilder::CapabilitiesBuilder | ( |  | ) |
| default

## ◆ ~CapabilitiesBuilder()

impeller::CapabilitiesBuilder::~CapabilitiesBuilder | ( |  | ) |
| default

## Member Function Documentation

## ◆ Build()

std::unique_ptr< Capabilities > impeller::CapabilitiesBuilder::Build | ( |  | ) |

Definition at line 220 of file capabilities.cc.

220 {
221 return std::unique_ptr<StandardCapabilities>(new StandardCapabilities( //
222 supports_offscreen_msaa_, //
223 supports_ssbo_, //
224 supports_buffer_to_texture_blits_, //
225 supports_texture_to_texture_blits_, //
226 supports_framebuffer_fetch_, //
227 supports_compute_, //
228 supports_compute_subgroups_, //
229 supports_read_from_onscreen_texture_, //
230 supports_read_from_resolve_, //
231 supports_decal_sampler_address_mode_, //
232 supports_device_transient_textures_, //
233 default_color_format_.value_or(PixelFormat::kUnknown), //
234 default_stencil_format_.value_or(PixelFormat::kUnknown), //
235 default_depth_stencil_format_.value_or(PixelFormat::kUnknown) //
236 ));
237 }

References impeller::kUnknown.

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetDefaultColorFormat()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetDefaultColorFormat | ( | PixelFormat | value | ) |

Definition at line 190 of file capabilities.cc.

191 {
192 default_color_format_ = value;
193 return *this;
194 }

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetDefaultDepthStencilFormat()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetDefaultDepthStencilFormat | ( | PixelFormat | value | ) |

Definition at line 202 of file capabilities.cc.

203 {
204 default_depth_stencil_format_ = value;
205 return *this;
206 }

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetDefaultStencilFormat()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetDefaultStencilFormat | ( | PixelFormat | value | ) |

Definition at line 196 of file capabilities.cc.

197 {
198 default_stencil_format_ = value;
199 return *this;
200 }

Referenced by impeller::InferMetalCapabilities(), and impeller::testing::TEST().

## ◆ SetSupportsBufferToTextureBlits()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsBufferToTextureBlits | ( | bool | value | ) |

Definition at line 149 of file capabilities.cc.

150 {
151 supports_buffer_to_texture_blits_ = value;
152 return *this;
153 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsCompute()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsCompute | ( | bool | value | ) |

Definition at line 167 of file capabilities.cc.

167 {
168 supports_compute_ = value;
169 return *this;
170 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsComputeSubgroups()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsComputeSubgroups | ( | bool | value | ) |

Definition at line 172 of file capabilities.cc.

173 {
174 supports_compute_subgroups_ = value;
175 return *this;
176 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsDecalSamplerAddressMode()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsDecalSamplerAddressMode | ( | bool | value | ) |

Definition at line 208 of file capabilities.cc.

209 {
210 supports_decal_sampler_address_mode_ = value;
211 return *this;
212 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsDeviceTransientTextures()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsDeviceTransientTextures | ( | bool | value | ) |

Definition at line 214 of file capabilities.cc.

215 {
216 supports_device_transient_textures_ = value;
217 return *this;
218 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsFramebufferFetch()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsFramebufferFetch | ( | bool | value | ) |

Definition at line 161 of file capabilities.cc.

162 {
163 supports_framebuffer_fetch_ = value;
164 return *this;
165 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsOffscreenMSAA()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsOffscreenMSAA | ( | bool | value | ) |

Definition at line 139 of file capabilities.cc.

139 {
140 supports_offscreen_msaa_ = value;
141 return *this;
142 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsReadFromOnscreenTexture()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsReadFromOnscreenTexture | ( | bool | value | ) |

Definition at line 178 of file capabilities.cc.

179 {
180 supports_read_from_onscreen_texture_ = read_from_onscreen_texture;
181 return *this;
182 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsReadFromResolve()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsReadFromResolve | ( | bool | value | ) |

Definition at line 184 of file capabilities.cc.

185 {
186 supports_read_from_resolve_ = read_from_resolve;
187 return *this;
188 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsSSBO()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsSSBO | ( | bool | value | ) |

Definition at line 144 of file capabilities.cc.

144 {
145 supports_ssbo_ = value;
146 return *this;
147 }

Referenced by impeller::InferMetalCapabilities().

## ◆ SetSupportsTextureToTextureBlits()

CapabilitiesBuilder & impeller::CapabilitiesBuilder::SetSupportsTextureToTextureBlits | ( | bool | value | ) |

Definition at line 155 of file capabilities.cc.

156 {
157 supports_texture_to_texture_blits_ = value;
158 return *this;
159 }

Referenced by impeller::InferMetalCapabilities().

The documentation for this class was generated from the following files:

- impeller/renderer/capabilities.h
- impeller/renderer/capabilities.cc

impeller::PixelFormat::kUnknown
@ kUnknown